This job view page is being replaced by Spyglass soon. Check out the new job view.
ResultFAILURE
Tests 0 failed / 0 succeeded
Started2020-03-31 05:39
Elapsed6m49s
Revision
Builderccbc0611-7311-11ea-8574-7e2b78ec67cb
links{u'resultstore': {u'url': u'https://source.cloud.google.com/results/invocations/22f33bb7-08d3-4dd2-8ed7-f058f18f4677/targets/test'}}
resultstorehttps://source.cloud.google.com/results/invocations/22f33bb7-08d3-4dd2-8ed7-f058f18f4677/targets/test
infra-commitab008788a

No Test Failures!


Error lines from build-log.txt

... skipping 14 lines ...
I0331 05:39:10.941] process 29 exited with code 0 after 0.0m
I0331 05:39:10.941] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0331 05:39:10.942] Root: /workspace
I0331 05:39:10.942] cd to /workspace
I0331 05:39:10.942] Configure environment...
I0331 05:39:10.942] Call:  git show -s --format=format:%ct HEAD
W0331 05:39:10.949] fatal: not a git repository (or any of the parent directories): .git
I0331 05:39:10.949] process 42 exited with code 128 after 0.0m
W0331 05:39:10.949] Unable to print commit date for HEAD
I0331 05:39:10.949] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0331 05:39:11.513] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0331 05:39:12.256] process 43 exited with code 0 after 0.0m
I0331 05:39:12.256] Call:  gcloud config get-value account
... skipping 35 lines ...
W0331 05:45:50.129]     self.send(msg)
W0331 05:45:50.129]   File "/usr/lib/python3.6/http/client.py", line 974, in send
W0331 05:45:50.129]     self.connect()
W0331 05:45:50.129]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 184, in connect
W0331 05:45:50.130]     conn = self._new_conn()
W0331 05:45:50.130]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 169, in _new_conn
W0331 05:45:50.130]     self, "Failed to establish a new connection: %s" % e
W0331 05:45:50.130] urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x7f169f53c390>: Failed to establish a new connection: [Errno 110] Connection timed out
W0331 05:45:50.130] 
W0331 05:45:50.131] During handling of the above exception, another exception occurred:
W0331 05:45:50.131] 
W0331 05:45:50.131] Traceback (most recent call last):
W0331 05:45:50.131]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 449, in send
W0331 05:45:50.131]     timeout=timeout
W0331 05:45:50.131]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connectionpool.py", line 720, in urlopen
W0331 05:45:50.131]     method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
W0331 05:45:50.131]   File "/usr/local/lib/python3.6/dist-packages/urllib3/util/retry.py", line 436, in increment
W0331 05:45:50.132]     raise MaxRetryError(_pool, url, error or ResponseError(cause))
W0331 05:45:50.132] urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f169f53c390>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0331 05:45:50.132] 
W0331 05:45:50.132] During handling of the above exception, another exception occurred:
W0331 05:45:50.132] 
W0331 05:45:50.132] Traceback (most recent call last):
W0331 05:45:50.132]   File "test-infra/kettle/monitor.py", line 116, in <module>
W0331 05:45:50.132]     sys.exit(main(sys.argv[1:]))
... skipping 12 lines ...
W0331 05:45:50.134]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 533, in request
W0331 05:45:50.134]     resp = self.send(prep, **send_kwargs)
W0331 05:45:50.134]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 646, in send
W0331 05:45:50.134]     r = adapter.send(request, **kwargs)
W0331 05:45:50.134]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 516, in send
W0331 05:45:50.135]     raise ConnectionError(e, request=request)
W0331 05:45:50.135] requests.exceptions.ConnectionError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f169f53c390>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0331 05:45:50.135] Traceback (most recent call last):
W0331 05:45:50.135]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 50, in <module>
W0331 05:45:50.135]     main(ARGS.env, ARGS.cmd + ARGS.args)
W0331 05:45:50.135]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 41, in main
W0331 05:45:50.135]     check(*cmd)
W0331 05:45:50.136]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 30, in check
W0331 05:45:50.136]     subprocess.check_call(cmd)
W0331 05:45:50.136]   File "/usr/lib/python2.7/subprocess.py", line 190, in check_call
W0331 05:45:50.136]     raise CalledProcessError(retcode, cmd)
W0331 05:45:50.136] subprocess.CalledProcessError: Command '('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')' returned non-zero exit status 1
E0331 05:45:50.136] Command failed
I0331 05:45:50.136] process 251 exited with code 1 after 6.6m
E0331 05:45:50.137] FAIL: metrics-kettle
I0331 05:45:50.137] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0331 05:45:50.702] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0331 05:45:51.346] process 255 exited with code 0 after 0.0m
I0331 05:45:51.346] Call:  gcloud config get-value account
I0331 05:45:52.314] process 267 exited with code 0 after 0.0m
I0331 05:45:52.315] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0331 05:45:52.315] Upload result and artifacts...
I0331 05:45:52.315] Gubernator results at https://gubernator.k8s.io/build/kubernetes-jenkins/logs/metrics-kettle/1244861611861086208
W0331 05:45:52.316] Missing local artifacts : /workspace/_artifacts
W0331 05:45:52.316] metadata path /workspace/_artifacts/metadata.json does not exist
W0331 05:45:52.316] metadata not found or invalid, init with empty metadata
I0331 05:45:52.317] Call:  git rev-parse HEAD
W0331 05:45:52.325] fatal: not a git repository (or any of the parent directories): .git
E0331 05:45:52.326] Command failed
I0331 05:45:52.326] process 280 exited with code 128 after 0.0m
I0331 05:45:52.326] Call:  git rev-parse HEAD
I0331 05:45:52.338] process 281 exited with code 0 after 0.0m
I0331 05:45:52.338] Call:  gsutil stat gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json
I0331 05:45:53.961] process 282 exited with code 0 after 0.0m
I0331 05:45:53.962] Call:  gsutil -q cat 'gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json#1585629876375407'
... skipping 8 lines ...